Skip to main content
GET
List recommendations

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

createdAfter
string

Filter recommendations created after a specific date.

createdAt
string

Filter recommendations by their creation date.

createdBefore
string

Filter recommendations created before a specific date.

limit
integer<int32>

The maximum number of results to display per page.

promptId
string

Filter recommendations by a specific prompt ID.

recommendationType
string

Filter recommendations by their type.

sort
string

Sort the recommendations based on specified criteria.

status
string

Filter recommendations by their status.

Response

successful operation

results
object[]
required

An array of public recommendations. Each item in the array is a PublicRecommendation object.

paging
object
Last modified on June 29, 2026